<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('prof_classe_matiere', function (Blueprint $table) {
            $table->unsignedTinyInteger('trimestre')->default(1)->after('matiere_id');
        });
    }

    public function down(): void
    {
        Schema::table('prof_classe_matiere', function (Blueprint $table) {
            $table->dropColumn('trimestre');
        });
    }
};
